# -*- coding: utf-8 -*-
# vim: ft=yaml
---
# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
default_stages: [commit]
repos:
  - repo: https://github.com/dafyddj/commitlint-pre-commit-hook
    rev: v2.3.0
    hooks:
      - id: commitlint
        name: Check commit message using commitlint
        description: Lint commit message against @commitlint/config-conventional rules
        stages: [commit-msg]
        additional_dependencies: ['@commitlint/config-conventional@8.3.4']
      - id: commitlint-travis
        stages: [manual]
        additional_dependencies: ['@commitlint/config-conventional@8.3.4']
        always_run: true
  - repo: https://github.com/rubocop-hq/rubocop
    rev: v1.9.1
    hooks:
      - id: rubocop
        name: Check Ruby files with rubocop
        args: [--debug]
        always_run: true
        pass_filenames: false
  - repo: https://github.com/shellcheck-py/shellcheck-py
    rev: v0.7.1.1
    hooks:
      - id: shellcheck
        name: Check shell scripts with shellcheck
        files: ^.*\.(sh|bash|ksh)$
        types: []
  - repo: https://github.com/adrienverge/yamllint
    rev: v1.23.0
    hooks:
      - id: yamllint
        name: Check YAML syntax with yamllint
        args: [--strict, '.']
        always_run: true
        pass_filenames: false
  - repo: https://github.com/warpnet/salt-lint
    rev: v0.3.0
    hooks:
      - id: salt-lint
        name: Check Salt files using salt-lint
        files: ^.*\.(sls|jinja|j2|tmpl|tst)$
  - repo: https://github.com/myint/rstcheck
    rev: 3f929574
    hooks:
      - id: rstcheck
        name: Check reST files using rstcheck
        exclude: 'docs/CHANGELOG.rst'
  - repo: https://github.com/saltstack-formulas/mirrors-rst-lint
    rev: v1.3.2
    hooks:
      - id: rst-lint
        name: Check reST files using rst-lint
        exclude: |
            (?x)^(
                docs/CHANGELOG.rst|
                docs/TOFS_pattern.rst|
            )$
        additional_dependencies: [pygments==2.9.0]
